<?php
/**
 * The template part for displaying single content
 *
 * @package VW Spa Lite
 * @subpackage vw-spa-lite
 * @since VW Spa Lite 1.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
  <div class="single-post">
    <h1><?php the_title();?></h1>
    <div class="metabox">

      <?php if(get_theme_mod('vw_spa_lite_toggle_postdate',true)==1){ ?>
        <span class="entry-date"><i class="fas fa-calendar-alt"></i><?php echo get_the_date(); ?></span>
      <?php } ?>

      <?php if(get_theme_mod('vw_spa_lite_toggle_author',true)==1){ ?>
        <i class="far fa-user"></i><span class="entry-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?></a></span>
      <?php } ?>

      <?php if(get_theme_mod('vw_spa_lite_toggle_comments',true)==1){ ?>
        <i class="fas fa-comments"></i><span class="entry-comments"><?php comments_number( __('0 Comments','vw-spa-lite'), __('0 Comments','vw-spa-lite'), __('% Comments','vw-spa-lite')); ?></span>
      <?php } ?>
      
    </div><!-- metabox -->
    <?php if(has_post_thumbnail()) { ?>
        <hr>
        <div class="feature-box">   
          <?php the_post_thumbnail(); ?>
        </div>
        <hr>                    
    <?php } the_content();
    the_tags(); ?>                
    <?php
    // If comments are open or we have at least one comment, load up the comment template
    if ( comments_open() || '0' != get_comments_number() )
        comments_template();
    
    if ( is_singular( 'attachment' ) ) {
        // Parent post navigation.
        the_post_navigation( array(
            'prev_text' => _x( '<span class="meta-nav">Published in</span><span class="post-title">%title</span>', 'Parent post link', 'vw-spa-lite' ),
        ) );
    } elseif ( is_singular( 'post' ) ) {
        // Previous/next post navigation.
        the_post_navigation( array(
            'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next page', 'vw-spa-lite' ) . '</span> ' .
                '<span class="screen-reader-text">' . __( 'Next post:', 'vw-spa-lite' ) . '</span> ' .
                '<span class="post-title">%title</span>',
            'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous page', 'vw-spa-lite' ) . '</span> ' .
                '<span class="screen-reader-text">' . __( 'Previous post:', 'vw-spa-lite' ) . '</span> ' .
                '<span class="post-title">%title</span>',
        ) );
    }?> 
  </div>
</article>